export declare class ParameterCacheField<T> {
    loadFunction: (...params: any[]) => Promise<T>;
    private _paramsToCacheItems;
    constructor();
    getValue(...params: any[]): Promise<T>;
    setValue(value: any, ...params: any[]): void;
    reload(...params: any[]): Promise<T>;
    reset(...params: any[]): void;
    private _getCacheField;
    private _makeNewCacheField;
}
